Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.spiderchart
Class SpiderChartRendererEvaluator

    java.lang.Object
      net.sf.jasperreports.components.spiderchart.SpiderChartRendererEvaluator

    public class SpiderChartRendererEvaluator

extends java.lang.Object

Spider Chart design evaluator.

Version:
  $Id: SpiderChartDesignConverter.java 3898 2010-07-19 11:30:26Z shertage $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Field Summary
`static java.lang.String` | `FILL_DATASET`
`static java.lang.String` | `SAMPLE_DATASET`
`static java.lang.Double` | `SAMPLE_MAXVALUE`

Constructor Summary
`SpiderChartRendererEvaluator()`

Method Summary
`static JRRenderable` | `evaluateRenderer(JRComponentElement element, SpiderChartSharedBean spiderchartBean, ChartCustomizer chartCustomizer, java.lang.String defaultRenderType, java.lang.String datasetType)`
`java.util.Locale` | `getLocale()`
`static org.jfree.data.category.DefaultCategoryDataset` | `getSampleDataset()`
`java.util.TimeZone` | `getTimeZone()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILL_DATASET

    public static final java.lang.String FILL_DATASET

See Also:
  Constant Field Values

### SAMPLE_DATASET

    public static final java.lang.String SAMPLE_DATASET

See Also:
  Constant Field Values

### SAMPLE_MAXVALUE

    public static final java.lang.Double SAMPLE_MAXVALUE

Constructor Detail

### SpiderChartRendererEvaluator

    public SpiderChartRendererEvaluator()

Method Detail

### evaluateRenderer

    public static JRRenderable evaluateRenderer(JRComponentElement element,
                                                SpiderChartSharedBean spiderchartBean,
                                                ChartCustomizer chartCustomizer,
                                                java.lang.String defaultRenderType,
                                                java.lang.String datasetType)

### getSampleDataset

    public static org.jfree.data.category.DefaultCategoryDataset getSampleDataset()

### getLocale

    public java.util.Locale getLocale()

### getTimeZone

    public java.util.TimeZone getTimeZone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com